Draft Drawing/de: Difference between revisions

From FreeCAD Documentation
(Created page with "Draft Zeichnung")
 
(Created page with "{{GuiCommand/de|Name=Draft Drawing|Name/de=Zeichnung|Workbenches=Draft, Arch|MenuLocation=Drafting -> Drawing}}")
Line 1: Line 1:
{{GuiCommand|Name=Draft Drawing|Workbenches=[[Draft Module|Draft]], [[Arch Module|Arch]]|MenuLocation=Drafting -> Drawing}}
{{GuiCommand/de|Name=Draft Drawing|Name/de=Zeichnung|Workbenches=[[Draft Module/de|Draft]], [[Arch Module/de|Arch]]|MenuLocation=Drafting -> Drawing}}


==Description==
==Description==

Revision as of 11:43, 22 July 2014

Zeichnung

Menüeintrag
Drafting -> Drawing
Arbeitsbereich
Draft, Arch
Standardtastenkürzel
Keiner
Eingeführt in Version
-
Siehe auch
Keiner

Description

This tool allows you to put selected objects on a svg Drawing sheet. If no sheet exists in the document, a default one will be created.

How to use

  1. Select the objects you wish to put on a drawing sheet
  2. Press the Draft Drawing button

Options

  • Select objects you want to put on the drawing sheet. The tool will work best with flat 2D objects from the Draft or Sketcher modules.
  • If the selected object is an Arch SectionPlane, this tool will create an additional view of that section plane.
  • In the same selection, add the page object you want to draw your objects to. If there is no existing page, a new one will be created. If you didn't select a page but there is at least one in the document, the first found one will be used to draw to.
  • If you selected an existing sheet, and the objects in the selection that are already on that sheet (for ex. for a "Rectangle" object there is already a "ViewRectangle" object on the sheet), they will be substitued. This allows you to simply select all the objects and send them to an existing page, which will simply be updated.

Properties

  • DatenFill Style: For closed shapes, allows to specify one of the Default Draft fill styles, or use the shape color.
  • DatenFont Size: Allows you to specify the font size of texts and dimensions.
  • DatenLine Width: Allows you to specify the line width of viewed objects.

Scripting

The Draft Drawing tool can by used in macros and from the python console by using the following function:

 makeDrawingView (object,page)
  • Adds a view of the given object to the given page.
  • Returns the created view object.

Example:

 import FreeCAD,Draft
 obj = FreeCAD.ActiveDocument.ActiveObject
 page = FreeCAD.ActiveDocument.Page
 Draft.makeDrawingView(obj,page)